#pragma once

#include <stdint.h>
#include <stdbool.h>

#define LED_COUNT 2
#define INFINITY_BLINK_T 0xFFFFFFFF

typedef enum {
    LED_CMD_OFF,
    LED_CMD_ON,
    LED_SHORT_PRESS,
    LED_SYSTEM_ON,
    LED_HEARTBEAT,
    LED_ERROR,
} led_cmd_t;

// --- Tohle tam musí být! ---
typedef struct {
    bool on;              // LED zapnuto/vypnuto
    uint32_t duration_ms; // Doba trvání v ms
} led_pattern_step_t;

typedef struct {
    const led_pattern_step_t *steps;
    uint8_t step_count;
} led_pattern_t;

typedef struct {
    uint8_t led_index;
    led_cmd_t cmd;
    uint32_t repeat_count;
    bool wait_for_previous;
} led_msg_t;

void TaskLED_Start(void);
int TaskLED_SendCommand(const led_msg_t *msg);
